Bug 75948 - redhat-config-packages cannot find installation tree, no prompt for CDs
redhat-config-packages cannot find installation tree, no prompt for CDs
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 04:01 EDT by Carl
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-04 09:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl 2002-10-15 04:01:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
On a fresh desktop install (default packages), redhat-config-packages gives the
following error: "The path None does not look like a valid installation source"
and dies.  The only way to install packages from the installation CDs is to use
rpm from console, or to run redhat-config-packages with the --tree=/mnt/cdrom
option to manually point it to the CD.  Even then, if you try to install
packages off a different CD, instead of prompting for the other CD it simply
gives an "unknown error" and dies.

If run from console I was getting some kind of error about it being unable to
find redhat-cdinstall-helper or something (that binary isn't on my system). 
[DIFFERENT ISSUE]I am no longer able to duplicate that error because in trying
to fix this I uninstalled the redhat-config-packages package, intending to
reinstall it, but before I got there my rpm Packages index somehow got
corrupted, and now rpm just hangs when I try to install any package, remove any
package, or rebuilddb.  Guess I'm going to start over from scratch with this
system. [/DIFFERENT ISSUE].

I also poked around a bit in the code of redhat-config-packages and noted that
at various points it tries to look in /usr/share/comps - that directory also
doesn't exist on my system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install fresh desktop RH8.0.
2.try to run redhat-config-packages from the control panel
3.
	

Actual Results:  Error dialog: "The path None does not look like a valid
installation source."
Program exits.

Expected Results:  Package manager should have come up, and (I'm guessing, since
it's never worked for me) it should have prompted me for the CDs it needed to
install the packages I asked for.

Additional info:
Comment 1 Jeremy Katz 2002-10-31 17:47:11 EST
What does 'rpm -q comps' say on your system?  How did you do your installation?
Comment 2 Gerald Teschl 2002-12-04 09:53:26 EST
I just run into the same problem. It looks like /usr/share/comps is
missing after a network install!
Comment 3 Jeremy Katz 2002-12-04 10:53:50 EST
It always gets installed for me.  Closing due to inactivity from the original
reporter.

Note You need to log in before you can comment on or make changes to this bug.